#!/opt/brepo/ruby33/bin/ruby

class EmptyWorker < Kernel::ModuleCoreWorker
  MODULE_ID = "php_brepo_modules"

  def info
    {
      ID: 4,
      NAME: MODULE_ID,
      DESCR: "Module for managing of php modules for php's from brepo repository",
      REQ: "",
      CONF: "",
    }
  end

  def enable
    if $LOCAL_PHP == "yes"
      super
    else
      log_return("PHP from brepo repository not enabled")
    end
  end

  def get_list_of_installed_php
  end

  implements IPluginInterface
end

module EmptyModule
  def get_object
    Proc.new { EmptyWorker.new }
  end

  module_function :get_object
end

class Kernel::PluginConfiguration
  include EmptyModule

  @@loaded_plugins[EmptyWorker::MODULE_ID] = EmptyModule.get_object
end
